List a series of data points for an entity of a metric in a schema, during the specified time period.

Privileges: CLUSTER_VIEW, TENANT_VIEW, STORAGE_DOMAIN_VIEW, STORAGE_VIEW, PROTECTION_VIEW

A Metric specifies a data point (such as CPU usage and IOPS) to track over a
period of time.
For example for a disk in the Cluster, you can report on the 'Disk Health'
(kDiskAwaitTimeMsecs) Metric of the 'Disk Health Metrics' (kSentryDiskStats)
Schema for the last week.
You must specify the 'k' names as input and not the descriptive names.
You must also specify the id of the entity that you are reporting on such as
a Cluster, disk drive, job, etc.
Get the entityId by running the GET /public/statistics/entities operation.
In the Cohesity Dashboard, similar functionality is provided in Advanced
Diagnostics.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Specifies the name of entity schema such as 'kIceboxJobVaultStats'.

string

Specifies the id of the entity represented as a string.
Get the entityId by running the GET
public/statistics/entities operation.

entityIdList
array of strings

Specifies an entity id list represented as a string. The stats result will
be the sum over all these entities. If both EntityIdList and EntityId are
specified, EntityId will be ignored.

entityIdList
string
required

Specifies the name of the metric such as the 'kDiskAwaitTimeMsecs'
which is displayed as 'Disk Health' in Advanced Diagnostics
of the Cohesity Dashboard.

int64
required

Specifies the start time for the series of metric data.
Specify the start time as a Unix epoch Timestamp (in milliseconds).

int64

Specifies the end time for the series of metric data.
Specify the end time as a Unix epoch Timestamp (in milliseconds).
If not specified, the data points up to the current time are returned.

string

Specifies the rollup function to apply to the data points for
the time interval specified by rollupInternalSecs.
The following rollup functions are available:
sum, average, count, max, min, median, percentile95, latest,
and rate. For more information about the functions, see the
Advanced Diagnostics in the Cohesity online help.
If not specified, raw data is returned.

int32

Specifies the time interval granularity (in seconds)
for the specified rollup function.
Only specify a value if Rollup function is also specified.

boolean

Specifies to create pro rated data point for every rollup interval instead
of returning the actual raw data points. This should be used only when
rollup function is provided.

boolean

Specifies if the response should return the difference of a data point
with the previous datapoint. Used for determining the
change in growth rate. Datapoint could be +x, 0, -x
showing the growth is up, no change or down respectively.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json